/// <reference types="node" />
export interface ContentResolver {
    resolve(url: string): Promise<Buffer>;
}
export interface IpfsGateway {
    (id: string): string;
}
export interface UrlProxy {
    (url: string): string;
}
export interface ProxyContentResolverParams {
    ipfsGateway?: IpfsGateway;
    urlProxy?: UrlProxy;
}
export declare class DefaultContentResolver implements ContentResolver {
    readonly ipfsGateway: (id: string) => string;
    constructor(ipfsGateway?: (id: string) => string);
    resolve(url: string): Promise<Buffer>;
}
export declare class ProxyContentResolver extends DefaultContentResolver {
    readonly urlProxy: UrlProxy;
    static readonly replaceable: string;
    constructor({ ipfsGateway, urlProxy }?: ProxyContentResolverParams);
    resolve(url: string): Promise<Buffer>;
}
