"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TonConnectSender = void 0;
const external_1 = require("./external");
class TonConnectSender {
    constructor(provider) {
        var _a;
        this.provider = provider;
        if (provider.wallet) {
            this.address = external_1.Address.parse((_a = provider.wallet) === null || _a === void 0 ? void 0 : _a.account.address);
        }
    }
    send(args) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
            if (!(args.sendMode === undefined || args.sendMode == external_1.SendMode.PAY_GAS_SEPARATELY)) {
                throw new Error('Deployer sender does not support `sendMode` other than `PAY_GAS_SEPARATELY`.');
            }
            const message = {
                address: args.to.toString(),
                amount: args.value.toString()
            };
            if (args.body != null) {
                message.payload = (_a = args.body) === null || _a === void 0 ? void 0 : _a.toBoc().toString('base64');
            }
            if (args.init != null) {
                message.stateInit = (0, external_1.beginCell)()
                    .storeWritable((0, external_1.storeStateInit)(args.init))
                    .endCell()
                    .toBoc()
                    .toString('base64');
            }
            yield this.provider.sendTransaction({
                validUntil: Date.now() + 5 * 60 * 1000,
                messages: [message]
            });
        });
    }
}
exports.TonConnectSender = TonConnectSender;
