/// <reference types="node" />
import { WalletConnector, Wallet, WalletApp } from '../../../common/interfaces';
import { Locale } from './interfaces';
import { Locales, Styles } from './types';
import { DropdownMenu } from './dropdown';
interface HandleError {
    (error: Error | unknown): void;
}
export interface ConnectWalletButtonParams {
    style?: Styles;
    language?: Locales;
    walletApp?: WalletApp;
    onWalletChange?: (wallet: Wallet | null) => void;
    onError?: HandleError;
}
export declare class ConnectWalletButton extends Phaser.GameObjects.Container {
    private readonly connector;
    buttonContainer: Phaser.GameObjects.Container;
    buttonBackground: Phaser.GameObjects.Graphics;
    buttonText: Phaser.GameObjects.Text;
    buttonIcon?: Phaser.GameObjects.Image;
    buttonWidth: number;
    buttonHeight: number;
    wallet: Wallet | null;
    params: ConnectWalletButtonParams;
    connectionSourceName: WalletApp;
    unsubscribeFromConnector: () => void;
    dropdownMenu?: DropdownMenu;
    locale: Locale;
    currentIcon: string;
    changeIconTimer: NodeJS.Timeout | number | null;
    private onError;
    constructor(connector: WalletConnector, scene: Phaser.Scene, x?: number, y?: number, params?: ConnectWalletButtonParams);
    private loadAssets;
    private changeIcon;
    private cancelIconChange;
    private connectWallet;
    private disconnectWallet;
    private copyAddress;
    private disable;
    private enable;
    private toggleDropdownMenu;
    private setSchema;
    private repaintButtonBackground;
    destroy(): void;
}
export {};
