"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.locales = exports.buttonDesign = exports.DARK_DISCONNECT = exports.LIGHT_DISCONNECT = exports.DARK_COPY = exports.LIGHT_COPY = exports.DARK_DIAMOND = exports.LIGHT_DIAMOND = void 0;
exports.LIGHT_DIAMOND = 'diamond-light';
exports.DARK_DIAMOND = 'diamond-dark';
exports.LIGHT_COPY = 'copy-light';
exports.DARK_COPY = 'copy-dark';
exports.LIGHT_DISCONNECT = 'disconnect-light';
exports.DARK_DISCONNECT = 'disconnect-dark';
exports.buttonDesign = {
    horizontalPadding: 16,
    verticalPadding: 11,
    borderRadius: 20,
    borderWidth: 1,
    fontFamily: 'Segoe UI, San Francisco, Roboto, sans-serif',
    fontSize: 15,
    default: {
        borderColor: '#0098EA',
        backgroundColor: '#0098EA',
        backgroundColorHover: '#0098EA',
        fontColor: '#FFFFFF',
        icons: {
            diamond: exports.DARK_DIAMOND,
            copy: exports.DARK_COPY,
            disconnect: exports.DARK_DISCONNECT
        }
    },
    light: {
        borderColor: '#E9EEF1',
        backgroundColor: '#FFFFFF',
        backgroundColorHover: '#F7F9FB',
        fontColor: '#0F0F0F',
        icons: {
            diamond: exports.LIGHT_DIAMOND,
            copy: exports.LIGHT_COPY,
            disconnect: exports.LIGHT_DISCONNECT
        }
    },
    dark: {
        borderColor: '#303035',
        backgroundColor: '#121214',
        backgroundColorHover: '#2D2D32',
        fontColor: '#E5E5EA',
        icons: {
            diamond: exports.DARK_DIAMOND,
            copy: exports.DARK_COPY,
            disconnect: exports.DARK_DISCONNECT
        }
    },
    icon: {
        horizontalPadding: 4,
        width: 24,
        height: 24
    },
    dropDown: {
        topMargin: 12,
        horizontalPadding: 8,
        verticalPadding: 8,
        width: 256,
        borderRadius: 16
    },
    dropDownItem: {
        horizontalPadding: 12,
        verticalPadding: 11
    }
};
exports.locales = {
    en: {
        connectWallet: 'Connect Wallet',
        disconnectWallet: 'Disconnect',
        copyAddress: 'Copy address',
        addressCopied: 'Address copied!'
    },
    ru: {
        connectWallet: 'Подключить кошелёк',
        disconnectWallet: 'Отключить',
        copyAddress: 'Скопировать адрес',
        addressCopied: 'Адрес скопирован!'
    }
};
