import { Styles } from './types';
export interface DropdownMenuItemParams {
    style: Styles;
    text: string;
    icon: string;
    onClick?: (item: DropdownMenuItem) => void;
}
export declare class DropdownMenuItem extends Phaser.GameObjects.Container {
    readonly button: Phaser.GameObjects.Graphics;
    readonly buttonHeight: number;
    readonly text: Phaser.GameObjects.Text;
    readonly icon: Phaser.GameObjects.Image;
    constructor(scene: Phaser.Scene, x: number | undefined, y: number | undefined, params: DropdownMenuItemParams);
}
export interface DropdownMenuParams {
    items: {
        text: string;
        icon: string;
        onClick?: (item: DropdownMenuItem) => void;
    }[];
    style: Styles;
}
export declare class DropdownMenu extends Phaser.GameObjects.Container {
    constructor(scene: Phaser.Scene, x: number | undefined, y: number | undefined, params: DropdownMenuParams);
}
