"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.smoothScale = exports.rawAddressToFriendly = exports.hexToNumber = void 0;
const external_1 = require("../../../common/external");
function hexToNumber(hex) {
    return parseInt(hex.replace('#', '0x'), 16);
}
exports.hexToNumber = hexToNumber;
function rawAddressToFriendly(address, shorten = false) {
    const result = external_1.Address.parseRaw(address).toString();
    if (!shorten) {
        return result;
    }
    return result.substring(0, 4) + '...' + result.substring(result.length - 4);
}
exports.rawAddressToFriendly = rawAddressToFriendly;
function smoothScale(manager, obj, scaleValue, duration) {
    manager.add({
        targets: obj,
        scaleX: scaleValue,
        scaleY: scaleValue,
        duration: duration
    });
}
exports.smoothScale = smoothScale;
